Skip to main content
GET
/
o
/
{organisation_id}
/
protocols
/
{protocol_slug}
/
upload-url
Get Protocol Upload URL
curl --request GET \
  --url https://platform.versori.com/api/connect/v1/o/{organisation_id}/protocols/{protocol_slug}/upload-url \
  --header 'Authorization: Bearer <token>'
{
  "uploadUrl": "<string>",
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
protocol_slug
string
required

Response

OK

SignedURL contains URLs to upload and download files from a storage provider.

uploadUrl
string<uri>
required

UploadURL is a URL which can be used to upload a file to a storage provider. This is most-commonly a signed-url from an S3-compatible storage provider however the implementation may vary. Users can use this URL in a PUT request to upload a file.

url
string<uri>
required

URL can be used to download the file from a storage provider after it has been uploaded via uploadUrl. This URL may be a gs:// or s3:// URL which is not accessible to the public, but it may be provided back to Versori for us to access.